GET https://gate.reviopay.com/api/v1/account/json/turnover/Description
Fetches the company turnover according to the provided query string filters. Must provide exactly one currency filter. Multiple values can be provided for all filters except currency, from and to, including all results matching any of these values.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tokenized | query | boolean | no | Filter result set by whether the transaction was performed using a recurring execution token |
from | query | integer | no | Filter result set to only include values older or equal to the provided Unix timestamp |
to | query | integer | no | Filter result set to only include values younger than the provided Unix timestamp |
brand | query | string (uuid) | no | Filter result set to only include the specified brand UUID(s) |
terminal_uid | query | string (uuid) | no | Filter result set to only include the specified terminal UUID(s) |
currency | query | string | no | Filter result set to only include specified currency(ies) |
payment_method | query | PaymentMethod | no | Filter result set to only include specified payment methods(s). See PaymentMethod fro more information. |
product | query | TransactionProduct | no | Filter result set to only include specified products(s). See TransactionProduct fro more information. |
flow | query | TransactionFlow | no | Filter result set to only include specified transaction creation or execution flow(s). See TransactionFlow fro more information. |
country | query | string (ISO 3166-1 alpha-2) | no | Filter result set to only include specified client country(ies) in ISO 3166-1 alpha-2 format |
Example
curl -X GET https://gate.reviopay.com/api/v1/account/json/turnover/ \
-H 'Authorization: Bearer <YOUR_API_KEY>' \
-H 'Content-Type: application/json'Responses
| Status | Description |
|---|---|
200 | Company turnover successfully retrieved |
400 | Invalid data submitted or request processing error |